---
sourceDocument: Australia API Reference
sourceDocumentLink: https://www.servicenow.com/docs/r/api-reference

 Release :

    - australia

ft:locale :

    - en-US

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# User Role Inheritance API

# User Role Inheritance API {#ariaid-title1}

* Release version: Australia
* 
* Updated August 12, 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 2 minutes to read

The User Role Inheritance API provides endpoints that allow you to
see the roles that a specific user inherited.
This API requires the Contextual Security: Role Management V2 REST API
(com.glide.role_management.inh_count.rest_api) plugin, automatically activated on new instances
starting with the Jakarta release, or the Contextual Security: Role Management Enhancements REST
API plugin, automatically activated starting with the Geneva release. The Contextual Security:
Role Management V2 REST API is dependent on the Contextual Security: Role Management V2
(com.glide.role_management.inh_count) plugin.

A user's role can be directly granted, inherited from other roles, or inherited from groups.
You must have the user_admin role to access this API.

## User Role Inheritance - GET /global/user_role_inheritance {#ariaid-title2}

Returns a specified user's granted and inherited roles.

### URL format {#user_role_inher-GET__section_pg5_hds_2mb}

Versioned URL:
/api/global/{api_version}/user_role_inheritance

Default URL: /api/global/user_role_inheritance  
Note:  
Available versions are specified in the [REST API Explorer](https://www.servicenow.com/docs/zBKcyeP3If8_~R67hD_ZHg "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://www.servicenow.com/docs/Zk3PxcZ0l8CqUYfw7mHiLg "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#user_role_inher-GET__entry__2}{#user_role_inher-GET__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 1. Path parameters]

{#user_role_inher-GET__entry__6}

| Name | Description |
|-|-|
| user_sysid | Required. Sys_id of the user for which to return role information. |
[Table 2. Query parameters]

{#user_role_inher-GET__entry__10}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://www.servicenow.com/docs/qh7RcF0RI6a~i9u3octdlg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#user_role_inher-GET__entry__14}{#user_role_inher-GET__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 4. Request headers]

{#user_role_inher-GET__entry__18}

| Header | Description |
|-|-|
| None |   |
[Table 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://www.servicenow.com/docs/qh7RcF0RI6a~i9u3octdlg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#user_role_inher-GET__entry__22}{#user_role_inher-GET__entry-200-status-code}{#user_role_inher-GET__entry-400-status-code}{#user_role_inher-GET__entry-401-status-code}{#user_role_inher-GET__entry-404-status-code}{#user_role_inher-GET__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 6. Status codes]

### Response body parameters (JSON or XML)

{#user_role_inher-GET__entry__34}

| Name | Description |
|-|-|
| from_group | List of roles that are inherited from groups that have roles. Data type: Array |
| from_role | List of roles that are either granted directly or inherited from other roles. Data type: Array |
| user_name | Full name of user. Data type: String |
[ ]

### Sample cURL request

    curl "https://instance.service-now.com/api/global/user_role_inheritance?user_sysid=62826bf03710200044e0bfc8bcbe5df1" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    {
      "result": {
        "user_name": "abel.tuter",
        "from_group": [
          "[Azure Operators]/sn_azure.operator",
          "[Azure Operators]/sn_azure.operator/sn_azure.user"
        ],
        "from_role": [
          "/snc_internal",
          "/cloud_user",
          "/cloud_user/pa_viewer",
          "/cloud_user/sn_azure.user",
          "/cloud_user/aws_user"
        ]
      }
    }


